Package javax.websocket

## Interface Decoder.Binary<T>

All Superinterfaces:
  `Decoder`

Enclosing interface:
  Decoder

    public static interface Decoder.Binary<T>
    extends Decoder

### Nested Class Summary

### Nested classes/interfaces inherited from interface javax.websocket.Decoder

`Decoder.Binary<T>, Decoder.BinaryStream<T>, Decoder.Text<T>, Decoder.TextStream<T>`

### Method Summary

All Methods Instance Methods Abstract Methods
`T` `decode​(java.nio.ByteBuffer bytes)`
`boolean` `willDecode​(java.nio.ByteBuffer bytes)`

### Methods inherited from interface javax.websocket.Decoder

`destroy, init`

### Method Detail

#### decode

    T decode​(java.nio.ByteBuffer bytes)
      throws DecodeException

Throws:
  `DecodeException`

#### willDecode

    boolean willDecode​(java.nio.ByteBuffer bytes)